# Copyright (C) 2018  Dave love, University of Manchester
# Licence as for the package source

%global gitver %nil
%global commit f53469560fea979cf5cae66322165d0cae97e1f7
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global gitver .git%shortcommit
%{?gitver:%global devel 1}

Name:		baler
Version:	4.1.1
Release:	1%gitver%{?dist}
Summary:	Log analysis system
License:	GPLv2 or BSD
URL:		https://github.com/ovis-hpc/ovis/wiki
%if 0%{?devel}
Source0:	https://github.com/opengridcomputing/baler/archive/%commit/%name-%shortcommit.tar.gz
%else
Source0:	https://github.com/opengridcomputing/baler/archive/%version/%name-%version.tar.gz
%endif
BuildRequires:	automake libtool flex bison gcc python-devel python34-Cython
BuildRequires:	libevent-devel sosdb-devel flex-devel bison-devel doxygen
BuildRequires:	python34-setuptools

#%%global __python %__python3

%description


%package devel
Summary:	Development files for %name
Requires:	%name = %version-%release

%description devel
Development files for %name.

%package doc
Summary:	Documentation for %name
BuildArch:	noarch

%description doc
Documentation for %name.

%package -n python-baler
Summary:	Python interface for %name
Requires:	python

%description -n python-baler
Python interface for %name.


%prep
%setup -q %{?commit: -n %name-%commit}
./autogen.sh


%build
# Fiddle use of cython3-4
mkdir bin
for i in cygdb cython cythonize; do ln -s /usr/bin/${i}3.4 bin/$i; done
PATH=`pwd`/bin:$PATH \
%configure --disable-silent-rules --enable-doc
%make_build


%install
PATH=`pwd`:$PATH %make_install
cd %buildroot
find \( -name \*.la -o -name \*.a \) -delete
mkdir -p .%python_sitearch
mv .%python_sitelib/baler .%python_sitearch
rmdir .%python_sitelib


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc AUTHORS ChangeLog
%_bindir/*
%_libdir/*.so.*

%files devel
%_includedir/baler
%_libdir/*.so
%_sysconfdir/baler

%files doc
%license COPYING
%_mandir/man*/*

%files -n python-baler
%python_sitearch/baler

%changelog
* Sat Jul 21 2018  <loveshack@fedoraproject.org> - 4.1.1-1.gitf534695
- Initial packaging
